zenilib: TDependencyGraphBuilder Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Member Functions | Static Public Member Functions | List of all members
TDependencyGraphBuilder Class Reference

`#include <DependencyGraphBuilder.h>`

Inherits TIntermTraverser.

## Public Member Functions

virtual bool | visitAggregate (Visit visit, TIntermAggregate *)
virtual bool | visitBinary (Visit visit, TIntermBinary *)
virtual bool | visitLoop (Visit visit, TIntermLoop *)
virtual bool | visitSelection (Visit visit, TIntermSelection *)
virtual void | visitSymbol (TIntermSymbol *)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()
virtual bool | visitBranch (Visit visit, TIntermBranch *)
virtual void | visitConstantUnion (TIntermConstantUnion *)
virtual bool | visitUnary (Visit visit, TIntermUnary *)

## Static Public Member Functions

static void | build (TIntermNode *node, TDependencyGraph *graph)
Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)

## Additional Inherited Members

Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Detailed Description

Definition at line 16 of file DependencyGraphBuilder.h.

## Member Function Documentation

void TDependencyGraphBuilder::build | ( | TIntermNode * | node,
|  | TDependencyGraph * | graph
| ) |  |

static

Definition at line 9 of file DependencyGraphBuilder.cpp.

References build().

Referenced by build(), and TDependencyGraph::TDependencyGraph().

bool TDependencyGraphBuilder::visitAggregate | ( | Visit | visit,
|  | TIntermAggregate * | intermAggregate
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 15 of file DependencyGraphBuilder.cpp.

References EOpFunction, EOpFunctionCall, and TIntermOperator::getOp().

bool TDependencyGraphBuilder::visitBinary | ( | Visit | visit,
|  | TIntermBinary * | intermBinary
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 94 of file DependencyGraphBuilder.cpp.

References EOpInitialize, EOpLogicalAnd, EOpLogicalOr, TIntermOperator::getOp(), and TIntermOperator::modifiesState().

bool TDependencyGraphBuilder::visitLoop | ( | Visit | visit,
|  | TIntermLoop * | intermLoop
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 197 of file DependencyGraphBuilder.cpp.

References TDependencyGraph::createLoop(), TIntermLoop::getBody(), TIntermLoop::getCondition(), and TIntermLoop::getExpression().

bool TDependencyGraphBuilder::visitSelection | ( | Visit | visit,
|  | TIntermSelection * | intermSelection
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 176 of file DependencyGraphBuilder.cpp.

References TDependencyGraph::createSelection(), TIntermSelection::getCondition(), TIntermSelection::getFalseBlock(), and TIntermSelection::getTrueBlock().

void TDependencyGraphBuilder::visitSymbol | ( | TIntermSymbol * | intermSymbol | ) |

virtual

Reimplemented from TIntermTraverser.

Definition at line 79 of file DependencyGraphBuilder.cpp.

References TDependencyGraph::getOrCreateSymbol().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraphBuilder.h
- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraphBuilder.cpp